# Contributing to the HERE SDK Reference Application for Flutter

Thank you for taking the time to contribute.

## Where to start?
- If you have found issues or have ideas for improvement, [please submit them](https://github.com/heremaps/here-sdk-ref-app-flutter/issues/new) or open a [pull request](https://github.com/heremaps/here-sdk-ref-app-flutter/pulls).
- You can pick any [issue](https://github.com/heremaps/here-sdk-ref-app-flutter/issues) to work on, issues marked as "good first issue" could be good candidates. Before you start add a comment to explain your implementation idea, except for a minor fix.

## Signing each Commit

Please sign off each commit of a pull request. There are two ways to do it:

Automatically: Use `-s` (or `--signoff`) flag of `git commit` command, see example below:

`$ git commit -s -m 'README.md: Fix minor spelling mistake'`

Manually add `Signed-off-by:`, as shown in the example below:

```
    README.md: Fix minor spelling mistake

    Signed-off-by: John Doe <john.doe@example.com>
```

Any Pull Request with commits that are not signed off will be rejected by the automatic
[DCO check](https://probot.github.io/apps/dco/). A DCO is lightweight way for a contributor to confirm that they wrote or otherwise have the right to submit code or documentation to a project.
